export {
  /**
   * Provides Attributify Mode to other presets and rules.
   * https://github.com/unocss/unocss/tree/main/packages/preset-attributify
   */
  default as presetAttributify,
} from "./preset-attributify.ts";

export {
  /**
   * Use any icon as a class utility.
   * https://github.com/unocss/unocss/tree/main/packages/preset-icons
   */
  default as presetIcons,
} from "./preset-icons.ts";

export {
  /**
   * The minimal but essential rules and variants.
   * https://github.com/unocss/unocss/tree/main/packages/preset-mini
   */
  default as presetMini,
} from "./preset-mini.ts";

export {
  /**
   * The default preset (right now it's equivalent to @unocss/preset-wind).
   * https://github.com/unocss/unocss/tree/main/packages/preset-uno
   */
  default as presetUno,
} from "./preset-uno.ts";

export {
  /**
   * Web fonts at ease.
   * https://github.com/unocss/unocss/tree/main/packages/preset-web-fonts
   */
  default as presetWebFonts,
} from "./preset-web-fonts.ts";

export {
  /**
   * The typography preset.
   * https://github.com/unocss/unocss/tree/main/packages/preset-typography
   */ default as presetTypography,
} from "./preset-typography.ts";

export {
  /**
   * Tailwind / Windi CSS compact preset.
   * https://github.com/unocss/unocss/tree/main/packages/preset-wind
   */ default as presetWind,
} from "./preset-wind.ts";
